<template>
  <div class="dynamic_header full-width q-mb-md">
    <div v-for="item in dynamicHeader" :key="item">
      <span class="dynamic_header__title">{{ item.title }}</span>
      <span class="dynamic_header__value">{{ item.value }}</span>
      <q-separator spaced/>
    </div>
  </div>
</template>

<script setup>
import { computed } from 'vue'

const props = defineProps({
  dynamicHeader: { type: Array, required: true }
})

const dynamicHeader = computed({
  get: () => props.dynamicHeader
})
</script>

<style lang="scss">
@use './dynamic-header-component-stylesheet.scss';
</style>